Test Suite Endpoints
List Test Suites
Get all available test suites
GET
/
api
/
platform
/
testSuites
List Test Suites
curl --request GET \
--url https://api.example.com/api/platform/testSuitesimport requests
url = "https://api.example.com/api/platform/testSuites"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/platform/testSuites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"testSuites": [
{}
]
}Request
GET /api/platform/testSuites
Query Parameters
Filter by suite name (partial match)
Filter by visibility:
"public" or "private"Example Request
curl -X GET "https://api.agentdiff.dev/api/platform/testSuites?name=Slack" \
-H "X-API-Key: ad_live_sk_..."
Response
List of test suites
Example Response
{
"testSuites": [
{
"id": "suite-123",
"name": "Slack Bench",
"description": "Core Slack agent capabilities",
"templateService": "slack",
"templateName": "slack_bench_default",
"testCount": 20,
"visibility": "public",
"createdAt": "2025-01-01T00:00:00Z"
},
{
"id": "suite-456",
"name": "Linear Bench",
"description": "Linear GraphQL operations",
"templateService": "linear",
"templateName": "linear_expanded",
"testCount": 40,
"visibility": "public",
"createdAt": "2025-01-01T00:00:00Z"
}
]
}
Built-in Suites
| Suite | Tests | Coverage |
|---|---|---|
| Slack Bench | 20 | Messages, channels, reactions, threading |
| Linear Bench | 40 | Issues, labels, comments, workflows |
SDK Usage
# List all suites
suites = client.list_test_suites()
for s in suites.testSuites:
print(f"{s.name}: {s.testCount} tests")
# Filter by name
slack_suites = client.list_test_suites(name="Slack")
// List all suites
const suites = await client.listTestSuites();
suites.testSuites.forEach(s => {
console.log(`${s.name}: ${s.testCount} tests`);
});
// Filter by name
const slackSuites = await client.listTestSuites({ name: 'Slack' });
⌘I
List Test Suites
